Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::DiscreteConnollyShape Class Reference

DiscreteConnollyShape and ConnollyShape should produce the same result. More...

`#include <molshape.h>`

Inheritance diagram for sc::DiscreteConnollyShape:

[legend]
Collaboration diagram for sc::DiscreteConnollyShape:

[legend]
List of all members.

## Public Methods

| DiscreteConnollyShape (const Ref< KeyVal > &)
| ~DiscreteConnollyShape ()
void | initialize (const Ref< Molecule > &, double probe_radius)

## Detailed Description

DiscreteConnollyShape and ConnollyShape should produce the same result.

The discrete version is a shape union of discrete subshapes and is slower. These classes describe the solvent accessible surface of a molecule.

The documentation for this class was generated from the following file:

- molshape.h